package com.unis.module.coding.controller.admin.kshzs.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Author: Insight
 * @Description: TODO
 * @Date: 2025/2/11 16:31
 * @Version: 1.0
 */
@Data
public class crkVo {

    @Schema(description = "业务日期")
    private String ywrq;

    @Schema(description = "粮食品种名称")
    private String lspzmc;

    @Schema(description = "粮食等级名称")
    private String lsdjmc;

    @Schema(description = "粮食登记编码")
    private String lsdjbm;

    @Schema(description = "净重")
    private BigDecimal jz;

    @Schema(description = "车船号")
    private String cch;

    @Schema(description = "货位卡id")
    private Long hwkId;

    @Schema(description = "仓房货位")
    private String cfhw;

    @Schema(description = "出入库类型")
    private Integer crklx;

    @Schema(description = "附件个数")
    private String fileIds;

    @Schema(description = "附件个数")
    private List<String> fileList;

    @Schema(description = "出门时间")
    private LocalDateTime cmsj;

    @Schema(description = "入门时间")
    private LocalDateTime rmsj;

    @Schema(description = "仓房id")
    private Long cfId;

    @Schema(description = "承运人")
    private String cyr;

    @Schema(description = "运输工具")
    private String ysgj;

    @Schema(description = "登记人员")
    private String djry;

}
